using Godot;

public class MoveNode : ProgramNode
{
    public Vector3 startPosition;
    public Vector3 targetPosition;
    public MoveNode()
    {
        DisplayText = "Move";
    }
    public override void Execute(Robot robot)
    {
        robot.Position = targetPosition;
        nextNode.Execute(robot);
    }
}